Subject: Re: Time Functions?
From: [email-masked] ($Bill Luebkert)

22 Oct 1997 02:56:38 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Keet / Foxbird <[email-masked]>
Cc: Earnie Boyd <[email-masked]>, [email-masked]

Keet /
Foxbird
wrote:
> 
> At 05:39 AM 10/21/97 PDT, Earnie Boyd wrote:
> >
> >
> >How about the date?  It sounds to me as if WIN95 is reporting Daylight
> >Savings Time and the function is returning Standard Time.
> >
> 
> Just ran the server again to test and report back. The server reports the
> following:
> 
> ------------------STARTING SERVER: 10-21-1997 at 15:59:19------------------
> 
> My computer clock at that exact moment reports 16:59:19 10-21-1997.
> 
> My current configuration for Win95 is as follows:
> 'English' Regional Setting
> Auto Adjust for daylight savings time.
> Can't find a daylight savings time enable/disable option anywhere (BIOS too)
> Eastern US Timezone (-0500 GMT)
> Original Beta 18 (Not the coolview extensions)
> 
> What follows is a breif little snippet that reproduces the problem, at
> least on my end.
> 
> /* TIMETEST.CPP - Produces a time that is one hour behind the correct time
>  *                on a Win95 machine running B18
>  */
> 
> #include <stdlib.h>
> #include <stdio.h>
> #include <time.h>
> 
> main () {
>    time_t        st_t;
>    struct tm     *st_tm;
>    char*         DTarray[2];
>    st_t  = time(0);
>    st_tm = localtime(&st_t);
> 
>    DTarray[0] = (char*)malloc(sizeof(char)*20);
>    strftime(DTarray[0],15,"%m-%d-%Y",st_tm);
> 
>    DTarray[1] = (char*)malloc(sizeof(char)*20);
>    strftime(DTarray[1],15,"%H:%M:%S",st_tm);
> 
> 
>    printf("------------------STARTING SERVER: %s at
> %s",DTarray[0],DTarray[1]);
>    printf("------------------\n", NULL);
> 
>    return 0;
> }
> 
> // **END FILE**
> 
> Another thing I noticed, is that if you have a CYGWIN.DLL in your path, and
> then another in the current directory that your working in, and then
> execute c++, gcc, or any of the compilers, it goes berzerk and throws up
> one of those 'cygwin_except_handler' errors and causes a fatal exception
> error and demands the program be shut down. Just something strange I
> noticed while compiling this little test program.
> 
> Again, any ideas on how to fix these problems, or just suggestions, I'm
> open to try just about anything. Thanks in advance for the help.

If you
print out
tm_isdst,
you get 0
on Win95
which is
wrong, it
should be
1.
Somehow
the
library
isn't
picking up
on the
fact that
DST is in
effect.
I'm not
familiar
enough
with the
code to go
find where
the
problem
is.

-- 
  ,-/- 
__      _ 
_        
$Bill
Luebkert
 (_/   / 
)    //
//      
DBE
Collectibles
  / )
/--<  o //
//     
http://www.wgn.net/~dbe/
-/-'
/___/_<_</_</_   
Email:
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".